> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a discount

> Deletes a discount from the database. This is irreversible and should be used when the discount is no longer needed.



## OpenAPI

````yaml delete /discounts/{id}
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /discounts/{id}:
    delete:
      tags:
        - Discounts
      summary: Delete a discount
      description: >-
        Deletes a discount from the database. This is irreversible and should be
        used when the discount is no longer needed.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Discount deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiscountDeleteResponse'
        '401':
          description: Unauthorized
        '404':
          description: Not Found
components:
  schemas:
    DiscountDeleteResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            deleted:
              type: boolean

````